## strace 4.15

=== debian/changelog ===
strace (4.15-2) unstable; urgency=medium

  * Disable some tests on hppa too

 -- Steve McIntyre <93sam@debian.org>  Sat, 25 Dec 2016 01:23:04 +0000

strace (4.15-1) unstable; urgency=medium

  * New upstream release. Closes: #841278
  * Put packaging in git for small Debian package changes too.
    Closes: #662867. Thanks to nicoo for doing most of the work here!
  * Remove existing Debian patches, now obsoleted by upstream.
  * Disable a few tests on mips*
  * Update Standards-Version to 3.9.8
  * Update debhelper compat level to 10, replace -s with -a in some calls

 -- Steve McIntyre <93sam@debian.org>  Sat, 24 Dec 2016 19:03:26 +0000

strace (4.14-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 04 Oct 2016 18:19:20 +0000

strace (4.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 4.13
    Closes: #831280, #836999
  * Make the build reproducible (Closes: #811285)
    Simply set the locale to C while sorting enum items,
    otherwise the sorting order may change.
  * Add Vcs-* metadata (Closes: #838815)
  * debian/watch: signature verification
  * Refresh patch
    No actual change, but the patch didn't apply cleanly anymore
    due to whitespace changes.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 25 Sep 2016 14:06:50 +0200

strace (4.13-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 26 Jul 2016 16:17:18 +0000

strace (4.12-3) unstable; urgency=medium

  * Fix up 32/64-bit test output in strace -S test to fix i386 build
  * Run make check with VERBOSE=1 so we get useful information in build logs

 -- Steve McIntyre <93sam@debian.org>  Sat, 04 Jun 2016 02:37:44 +0100

strace (4.12-2) unstable; urgency=medium

  * Remove libunwind dependency. Closes: #826223

 -- Steve McIntyre <93sam@debian.org>  Fri, 03 Jun 2016 13:43:44 +0100

strace (4.12-1) unstable; urgency=low

  [ Dmitry V. Levin ]
  * New upstream version.
    + implemented simultaneous use of -p option and tracing of a command,
      closes: #549942
    + fixed decoding of syscalls unknown to the kernel on s390/s390x,
      closes: #485979
  [ Steve McIntyre ]
  * Drop mips64el from the architecture list for now.

 -- Steve McIntyre <93sam@debian.org>  Fri, 03 Jun 2016 00:18:40 +0100

=== debian/control ===
Source: strace
Maintainer: Steve McIntyre <93sam@debian.org>
Section: utils
Priority: optional
Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 7.0.0), gawk
Standards-Version: 3.9.8
Homepage: http://sourceforge.net/projects/strace/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/strace.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/strace.git

Package: strace
Architecture: alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel mips64 mips64el or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System call tracer
 strace is a system call tracer, i.e. a debugging tool which prints out
 a trace of all the system calls made by a another process/program.
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have source.
 .
 System calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.

Package: strace64
Architecture: i386 powerpc s390 sparc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System call tracer for 64bit binaries
 strace is a system call tracer, i.e. a debugging tool which prints out
 a trace of all the system calls made by a another process/program.
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have source.
 .
 This package contains the 64bit version of the binary, intended for
 biarch systems with 32bit userland and 64bit kernel.
 .
 System calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.

Package: strace-udeb
Section: debian-installer
XC-Package-Type: udeb
Priority: extra
Architecture: alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel mips64 mips64el or1k powerpc powerpcspe ppc64 ppc64el s390 sh4 sparc sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System call tracer
 strace is a system call tracer, i.e. a debugging tool which prints out
 a trace of all the system calls made by a another process/program.
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have source.
 .
 System calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.
 .
 This is a stripped down package intended for debugging use in the Debian
 installer.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
  HOST64 = $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
	     $(filter $(DEB_HOST_ARCH)=%, $(arch64_map))))-linux-gnu
  CC64 = gcc -m64
  extra_build_targets += build64-stamp
endif

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE)
else
  CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

all: build

build: build-arch build-indep

build-arch: build-stamp $(extra_build_targets)
build-indep: build-stamp $(extra_build_targets)

%-stamp: %/Makefile
	$(MAKE) -C $*
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C $* check VERBOSE=1
endif
	touch $@

build/Makefile:
	mkdir -p $(@D)
	cd $(@D); sh ../configure --prefix=/usr $(CONFIG_OPTS)

build64/Makefile:
	mkdir -p $(@D)
	cd $(@D); CC="$(CC64)" sh ../configure --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(HOST64)

clean:
	dh_testdir
	dh_testroot
	rm -rf build build64 strace64.1 debian/strace64.substvars
	dh_clean

binary: binary-indep binary-arch

binary-indep:

binary-arch: build
	test -f build-stamp || make $(MFLAGS) -f debian/rules build

	# prepare 64bit executable and manpage, if it has been built
	test -f build64-stamp && ( mv build64/strace build64/strace64 ; \
		cp strace.1 strace64.1 ) || true

	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_installdocs -a
	dh_installman -a
	dh_installexamples -a
	dh_installchangelogs -a
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

## strace 4.21

=== test/Makefile ===
CFLAGS += -Wall

PROGS = \
    sig skodic clone leaderkill childthread \
    sigkill_rain wait_must_be_interruptible threaded_execve \
    mtd ubi seccomp sfd mmap_offset_decode x32_lseek x32_mmap \
    many_looping_threads

all: $(PROGS)

leaderkill: LDFLAGS += -pthread

childthread: LDFLAGS += -pthread

many_looping_threads: LDFLAGS += -pthread

clean distclean:
	rm -f *.o core $(PROGS) *.gdb

.PHONY: all clean distclean

=== debian/changelog ===
strace (4.21-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Apply ptrace-error-verbosity.patch
    - kexec_file_load.patch: Skip kexec_file_load test on ppc* before 4.11.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 16:18:47 +0200

strace (4.21-1) unstable; urgency=medium

  * New upstream release(s)
  * Moved git repo from alioth to salsa.d.o
  * Several Debian changes from upstream:
    + Build strace-udeb separately so we can enable libunwind (Closes: #826223)
    + Re-enable building with libiberty and libunwind for the full amd64
      package (Closes: #782427)
    + Add "strace -V" output to build log
    + Use the new --enable-mpers=check option at build time
    + Install strace-log-merge and its man page
  * Add build-dep on libbluetooth-dev to allow decoding of AF_BLUETOOTH
    socket operations too (Closes: #882413)
  * Fix ancient Changelog entries to fix up errors in various
    tools. Thanks to Benjamin Drung for the patch. Closes: #886653
  * Disallow unaligned access on ARM in tests. Thanks to Steve Langasek /
    Ubuntu for the patch. Closes: #864858
  * Minor packaging updates:
    + Updated versioned dependency on debhelper
    + Use /usr/share/dpkg/architecture.mk instead of manually setting
      build variables
    + Switch all the binary packages from Priority: extra to optional
    + Switch to linux-any from a hard-coded list of arches for the normal
      packages. (Leaving alone for the 32-bit multilib versions.)
      Closes: #883697
    + Update Standards-Version to 4.1.3
  * Multiple general changes and bugfixes - see the NEWS file
  * Upstream moved from sourceforge to github, so upstream release style
    changed slightly. Now need to bootstrap at build time.

 -- Steve McIntyre <93sam@debian.org>  Mon, 19 Feb 2018 14:59:09 +0000

strace (4.19-1ubuntu2) bionic; urgency=medium

  * debian/patches/tests-fix-llseek-test.patch: Cherry pick upstream commit
    3d2a5884ce6311834ae16729e2b01ccf3625c6dd to fix llseek test on armhf

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Jan 2018 12:53:51 +0100

strace (4.19-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - debian/patches/no-arm-unaligned-access: Don't allow unaligned access
      on ARM in the tests.
    - kexec_file_load.patch: Skip kexec_file_load test on ppc* before 4.11.
    - debian/control: Use linux-any for architecture fields

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Jan 2018 18:21:49 +0100

strace (4.19-1) unstable; urgency=medium

  * New upstream release(s)
  * Remove old debian patches, obsoleted upstream
    + Re-enable tests for mips* and hppa

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Nov 2017 02:29:18 +0000

strace (4.15-2ubuntu3) artful; urgency=medium

  * kexec_file_load.patch: Skip kexec_file_load test on ppc* before 4.11.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 17 Jun 2017 11:12:39 -0600

strace (4.15-2ubuntu2) artful; urgency=medium

  * debian/patches/no-arm-unaligned-access: Don't allow unaligned access
    on ARM in the tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2017 21:57:41 -0700

strace (4.15-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Jan 2017 14:02:00 +0000

strace (4.12-3ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstalbe.  Remaining changes:
    - Apply ptrace-error-verbosity.patch

  * Drop lseek patch, no longer needed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Aug 2016 11:08:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: strace
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 7.0.0), gawk
-Standards-Version: 3.9.8
-Homepage: http://sourceforge.net/projects/strace/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/strace.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/strace.git
+Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
+Standards-Version: 4.1.3
+Homepage: https://strace.io
+Vcs-Git: https://salsa.debian.org/debian/strace.git
+Vcs-Browser: https://salsa.debian.org/debian/strace
 
 Package: strace
-Architecture: alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel mips64 mips64el or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
  strace is a system call tracer, i.e. a debugging tool which prints out
@@ -23,7 +24,7 @@
 
 Package: strace64
 Architecture: i386 powerpc s390 sparc
-Priority: extra
+Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer for 64bit binaries
  strace is a system call tracer, i.e. a debugging tool which prints out
@@ -41,8 +42,8 @@
 Package: strace-udeb
 Section: debian-installer
 XC-Package-Type: udeb
-Priority: extra
-Architecture: alpha amd64 arm64 armeb armel armhf hppa i386 ia64 m68k mips mipsel mips64 mips64el or1k powerpc powerpcspe ppc64 ppc64el s390 sh4 sparc sparc64 x32
+Priority: optional
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
  strace is a system call tracer, i.e. a debugging tool which prints out

## strace 4.25

=== debian/changelog ===
strace (4.25-0ubuntu1) disco; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Nov 2018 14:27:33 +0100

strace (4.21-1ubuntu2) cosmic; urgency=medium

  * Fix ftbfs with new glibc, statx is now defined.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Oct 2018 17:03:56 +0100

## strace 4.26

=== debian/changelog ===
strace (4.26-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream commit to fix mips build
    - debian/patches/0002-mips-o32-fix-build.patch

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jan 2019 10:30:07 +0100

strace (4.26-0.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer permission.

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/watch: Use https protocol

  [ Andreas Henriksson ]
  * debian/watch: update for new official release site
  * New upstream version 4.26 (Closes: #915290)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Jan 2019 20:32:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: strace
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
@@ -24,7 +23,6 @@
 
 Package: strace64
 Architecture: i386 powerpc s390 sparc
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer for 64bit binaries
  strace is a system call tracer, i.e. a debugging tool which prints out
@@ -42,7 +40,6 @@
 Package: strace-udeb
 Section: debian-installer
 XC-Package-Type: udeb
-Priority: optional
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 CFLAGS += -Wall -g
 
@@ -19,9 +20,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -44,25 +43,34 @@
 build-arch: build-stamp $(extra_build_targets)
 build-indep: build-stamp $(extra_build_targets)
 
+configure:
+	./bootstrap
+
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	$*/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
 	touch $@
 
-build/Makefile:
+build/Makefile: configure
 	mkdir -p $(@D)
-	cd $(@D); sh ../configure --prefix=/usr $(CONFIG_OPTS)
+	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr $(CONFIG_OPTS)
 
-build64/Makefile:
+build-udeb/Makefile: configure
 	mkdir -p $(@D)
-	cd $(@D); CC="$(CC64)" sh ../configure --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(HOST64)
+	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr \
+		--without-libunwind --without-libiberty $(CONFIG_OPTS)
+
+build64/Makefile: configure
+	mkdir -p $(@D)
+	cd $(@D); CC="$(CC64)" sh ../configure --enable-mpers=check --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(HOST64)
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build build64 strace64.1 debian/strace64.substvars
+	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
 	dh_clean
 
 binary: binary-indep binary-arch
@@ -74,7 +82,7 @@
 
 	# prepare 64bit executable and manpage, if it has been built
 	test -f build64-stamp && ( mv build64/strace build64/strace64 ; \
-		cp strace.1 strace64.1 ) || true
+		mv build64/strace.1 build64/strace64.1 ) || true
 
 	dh_testdir -a
 	dh_testroot -a

## strace 5.5

=== debian/changelog ===
strace (5.5-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - also filter kexec_file_load out of the list of programs to run for other
      tests.
  * XFAIL multiple tests with CPU timeout to fix FTBFS on riscv64

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 17 Apr 2020 00:23:25 +0200

strace (5.5-3) unstable; urgency=medium

  * Take more upstream patches to fix mipsel test failures
  * Tweak and disable more tests that are failing on buildds

 -- Steve McIntyre <93sam@debian.org>  Wed, 07 Apr 2020 15:17:29 +0100

strace (5.5-2) unstable; urgency=medium

  * Take upstream change to fix test failure in the strace-DDD
    test.
  * Disable the delay test - it's unreliable on busy machines

 -- Steve McIntyre <93sam@debian.org>  Tue, 07 Apr 2020 03:03:00 +0100

strace (5.5-1) unstable; urgency=medium

  * New upstream version 5.5 (Closes: #947396)
    - Remove debian/patches/0002-mips-o32-fix-build.patch, not needed now

 -- Steve McIntyre <93sam@debian.org>  Thu, 26 Mar 2020 10:30:07 +0100

strace (4.26-0.2ubuntu3) eoan; urgency=medium

  * also filter kexec_file_load out of the list of programs to run for other
    tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 May 2019 05:19:49 +0000

strace (4.26-0.2ubuntu2) eoan; urgency=medium

  * debian/patches/kexec_file_load.patch: reintroduce now for arm64, which
    has added the syscall only in Linux 5.0 and later, so has the same
    problem as before with the split between kernel build headers and
    runtime kernel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 17:55:57 -0700

strace (4.26-0.2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
  * Drop kexec_file_load.patch; was already disabled in previous
    versions, and causes no problems since we are consistently building/
    testing devel against a much newer kernel than 4.11.
  * Drop fix-glibc-ftbfs.patch, fixed differently upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 16:50:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: strace
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,10 @@
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH),arm64)
+	# kexec_file_load only implemented on kernel >= 5.0
+	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
+endif
 	$*/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
@@ -71,6 +75,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
+	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch

## strace 5.10

=== debian/changelog ===
strace (5.10-1) unstable; urgency=medium

  * New upstream version 5.10.
  * Removed the old mips test workaround, now fixed upstream
  * Disable failing tests for nlattr_crypto_user_alg and
    netlink_crypto

 -- Steve McIntyre <93sam@debian.org>  Fri, 01 Jan 2021 15:14:54 +0000

strace (5.9-1) UNRELEASED; urgency=medium

  [ Balint Reczey ]
  * debian/gitlab-ci.yml: Add simple Salsa CI configuration
  * New upstream version 5.9
  * Refresh patches

  [ Steve McIntyre ]
  * Tweak Description slightly.

 -- Steve McIntyre <93sam@debian.org>  Thu, 31 Dec 2020 15:43:06 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: strace
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
@@ -13,8 +12,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
- strace is a system call tracer, i.e. a debugging tool which prints out
- a trace of all the system calls made by a another process/program.
+ strace is a system call tracer: i.e. a debugging tool which prints out
+ a trace of all the system calls made by another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
@@ -26,8 +25,8 @@
 Architecture: i386 powerpc s390 sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer for 64bit binaries
- strace is a system call tracer, i.e. a debugging tool which prints out
- a trace of all the system calls made by a another process/program.
+ strace is a system call tracer: i.e. a debugging tool which prints out
+ a trace of all the system calls made by another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
@@ -44,8 +43,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
- strace is a system call tracer, i.e. a debugging tool which prints out
- a trace of all the system calls made by a another process/program.
+ strace is a system call tracer: i.e. a debugging tool which prints out
+ a trace of all the system calls made by another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 else
   CFLAGS += -O2
 endif
+
+# ioctlsort is compiled with *_FOR_BUILD flags
+export CFLAGS_FOR_BUILD = $(CFLAGS)
+export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
+export LDFLAGS_FOR_BUILD = $(LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -49,10 +54,6 @@
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(DEB_HOST_ARCH),arm64)
-	# kexec_file_load only implemented on kernel >= 5.0
-	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
-endif
 	$*/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
@@ -75,7 +76,6 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
-	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/-/./g https://strace.io/files/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## strace 5.11

=== debian/changelog ===
strace (5.11-0ubuntu1) hirsute; urgency=medium

  * New upstream version 5.11
  * Refresh patches
  * Adjust packaging to new upstream source layout

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 25 Feb 2021 17:49:46 +0100

strace (5.10-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - also filter kexec_file_load out of the list of programs to run for other
      tests.
    Dropped changes:
    - debian/rules: Skip tests on riscv64
    - Really XFAIL failing m32 tests
  * Fix FTBFS on armhf due to running tests on arm64 kernel

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Jan 2021 21:32:57 +0100

strace (5.9-0ubuntu2) hirsute; urgency=medium

  * Really XFAIL failing m32 tests

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 26 Oct 2020 15:50:39 +0100

strace (5.9-0ubuntu1) hirsute; urgency=medium

  * debian/gitlab-ci.yml: Add simple Salsa CI configuration
  * New upstream version 5.9
  * Refresh patches
  * Fix s390_sthyi response decoding to fix FTBFS on s390x
  * debian/rules: Skip tests on riscv64
  * Update failing tests.
    Drop XFAILs for riscv64 because tests are skipped there.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 19 Oct 2020 11:59:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,13 @@
 
 %-stamp: %/Makefile
 	$(MAKE) -C $*
+
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	$*/strace -V
+ifeq ($(DEB_HOST_ARCH),arm64)
+	# kexec_file_load only implemented on kernel >= 5.0
+	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
+endif
+	$*/src/strace -V
 	$(MAKE) -C $* check VERBOSE=1
 endif
 	touch $@
@@ -76,6 +81,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
+	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch

## strace 5.13

=== debian/changelog ===
strace (5.13-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1941750)
  * Refresh patches
  * Disable build-udeb target to reduce build and test time
  * SKIP sockopt-timestamp.gen.test
  * SKIP tests on m32 which use struct shm_info or struct msginfo

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 27 Aug 2021 14:33:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-extra_build_targets += build-udeb-stamp
+#extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))

## strace 5.14

=== debian/changelog ===
strace (5.14-1.lnd.3) unstable; urgency=medium

  * Remove user_pt_regs definition.

 -- Youling Tang <tangyouoling@loongson.cn>  Thu, 31 Mar 2022 09:57:54 +0800

strace (5.14-1.lnd.1) unstable; urgency=medium
  
  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * Add loongarch64 support

 -- Youling Tang <tangyouoling@loongson.cn>  Wed, 20 Oct 2021 09:57:54 +0800

strace (5.10-1) experimental; urgency=low

  * strace 5.10 snapshot.

 -- Strace <strace-devel@lists.strace.io>  Mon, 14 Dec 2020 08:05:45 +0000

strace (5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 24 Sep 2020 08:00:00 +0000

strace (5.8-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 06 Aug 2020 08:00:00 +0000

strace (5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Mon, 01 Jun 2020 14:15:16 +0000

strace (5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 07 Apr 2020 10:11:12 +0000

strace (5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 28 Nov 2019 20:21:22 +0000

strace (5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 25 Sep 2019 01:02:03 +0000

strace (5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Fri, 12 Jul 2019 12:13:14 +0000

strace (5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 22 May 2019 11:12:13 +0000

strace (5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 19 Mar 2019 03:04:05 +0000

strace (4.26-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 26 Dec 2018 18:25:10 +0000

strace (4.25-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 30 Oct 2018 08:09:10 +0000

strace (4.24-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 14 Aug 2018 00:01:02 +0000

strace (4.23-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 14 Jun 2018 11:00:00 +0000

strace (4.22-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Thu, 05 Apr 2018 04:05:06 +0000

strace (4.20-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Mon, 13 Nov 2017 20:21:22 +0000

strace (4.18-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 05 Jul 2017 07:08:09 +0000

strace (4.17-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Wed, 24 May 2017 16:17:18 +0000

strace (4.16-1) unstable; urgency=medium

  * New upstream version.

 -- Dmitry V. Levin <ldv@altlinux.org>  Tue, 14 Feb 2017 10:11:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
+Build-Depends: libc6-dev (>= 2.2.2) , debhelper (>= 7.0.0)
 Standards-Version: 4.1.3
 Homepage: https://strace.io
 Vcs-Git: https://salsa.debian.org/debian/strace.git
@@ -12,8 +12,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
- strace is a system call tracer: i.e. a debugging tool which prints out
- a trace of all the system calls made by another process/program.
+ strace is a system call tracer, i.e. a debugging tool which prints out
+ a trace of all the system calls made by a another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
@@ -23,10 +23,11 @@
 
 Package: strace64
 Architecture: i386 powerpc s390 sparc
+Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer for 64bit binaries
- strace is a system call tracer: i.e. a debugging tool which prints out
- a trace of all the system calls made by another process/program.
+ strace is a system call tracer, i.e. a debugging tool which prints out
+ a trace of all the system calls made by a another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
@@ -40,11 +41,12 @@
 Package: strace-udeb
 Section: debian-installer
 XC-Package-Type: udeb
+Priority: optional
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
- strace is a system call tracer: i.e. a debugging tool which prints out
- a trace of all the system calls made by another process/program.
+ strace is a system call tracer, i.e. a debugging tool which prints out
+ a trace of all the system calls made by a another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .

=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,12 @@
   CFLAGS += -O2
 endif
 
-# ioctlsort is compiled with *_FOR_BUILD flags
-export CFLAGS_FOR_BUILD = $(CFLAGS)
-export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
-export LDFLAGS_FOR_BUILD = $(LDFLAGS)
-
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-#extra_build_targets += build-udeb-stamp
+extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -54,16 +49,6 @@
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(DEB_HOST_ARCH),arm64)
-	# kexec_file_load only implemented on kernel >= 5.0
-	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
-endif
-	$*/src/strace -V
-	$(MAKE) -C $* check VERBOSE=1
-endif
-	touch $@
-
 build/Makefile: configure
 	mkdir -p $(@D)
 	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr $(CONFIG_OPTS)
@@ -71,7 +56,7 @@
 build-udeb/Makefile: configure
 	mkdir -p $(@D)
 	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr \
-		--without-libunwind --without-libiberty $(CONFIG_OPTS)
+		--disable-stacktrace --without-libiberty $(CONFIG_OPTS)
 
 build64/Makefile: configure
 	mkdir -p $(@D)
@@ -81,7 +66,6 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
-	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch

## strace 5.16

=== debian/changelog ===
strace (5.16-0ubuntu3) jammy; urgency=medium

  * Configure with --disable-gcc-Werror on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Feb 2022 10:37:21 +0100

strace (5.16-0ubuntu2) jammy; urgency=medium

  * Fix the strace64 build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Feb 2022 03:11:25 +0100

strace (5.16-0ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Feb 2022 06:46:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: strace
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: libc6-dev (>= 2.2.2) , debhelper (>= 7.0.0)
+Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
 Standards-Version: 4.1.3
 Homepage: https://strace.io
 Vcs-Git: https://salsa.debian.org/debian/strace.git
@@ -12,8 +13,8 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
- strace is a system call tracer, i.e. a debugging tool which prints out
- a trace of all the system calls made by a another process/program.
+ strace is a system call tracer: i.e. a debugging tool which prints out
+ a trace of all the system calls made by another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
@@ -23,11 +24,10 @@
 
 Package: strace64
 Architecture: i386 powerpc s390 sparc
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer for 64bit binaries
- strace is a system call tracer, i.e. a debugging tool which prints out
- a trace of all the system calls made by a another process/program.
+ strace is a system call tracer: i.e. a debugging tool which prints out
+ a trace of all the system calls made by another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .
@@ -41,12 +41,11 @@
 Package: strace-udeb
 Section: debian-installer
 XC-Package-Type: udeb
-Priority: optional
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: System call tracer
- strace is a system call tracer, i.e. a debugging tool which prints out
- a trace of all the system calls made by a another process/program.
+ strace is a system call tracer: i.e. a debugging tool which prints out
+ a trace of all the system calls made by another process/program.
  The program to be traced need not be recompiled for this, so you can
  use it on binaries for which you don't have source.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,17 @@
 
 CFLAGS += -Wall -g
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
+# ioctlsort is compiled with *_FOR_BUILD flags
+export CFLAGS_FOR_BUILD = $(CFLAGS)
+export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
+export LDFLAGS_FOR_BUILD = $(LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-extra_build_targets += build-udeb-stamp
+#extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -36,6 +35,10 @@
   CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  CONFIG_OPTS += --disable-gcc-Werror
+endif
+
 all: build
 
 build: build-arch build-indep
@@ -49,6 +52,16 @@
 %-stamp: %/Makefile
 	$(MAKE) -C $*
 
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH),arm64)
+	# kexec_file_load only implemented on kernel >= 5.0
+	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
+endif
+	$*/src/strace -V
+	$(MAKE) -C $* check VERBOSE=1
+endif
+	touch $@
+
 build/Makefile: configure
 	mkdir -p $(@D)
 	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr $(CONFIG_OPTS)
@@ -56,7 +69,7 @@
 build-udeb/Makefile: configure
 	mkdir -p $(@D)
 	cd $(@D); sh ../configure --enable-mpers=check --prefix=/usr \
-		--disable-stacktrace --without-libiberty $(CONFIG_OPTS)
+		--without-libunwind --without-libiberty $(CONFIG_OPTS)
 
 build64/Makefile: configure
 	mkdir -p $(@D)
@@ -66,6 +79,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
+	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
 	dh_clean
 
 binary: binary-indep binary-arch
@@ -76,8 +90,8 @@
 	test -f build-stamp || make $(MFLAGS) -f debian/rules build
 
 	# prepare 64bit executable and manpage, if it has been built
-	test -f build64-stamp && ( mv build64/strace build64/strace64 ; \
-		mv build64/strace.1 build64/strace64.1 ) || true
+	test -f build64-stamp && ( mv build64/src/strace build64/src/strace64 ; \
+		mv build64/doc/strace.1 build64/doc/strace64.1 ) || true
 
 	dh_testdir -a
 	dh_testroot -a

## strace 6.1

=== debian/changelog ===
strace (6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve McIntyre ]
  * Add reference to LGPL-2.1 in /usr/share/common/licenses
  * Update copyright date (Closes: #985226)

  [ Balint Reczey ]
  * New upstream version 5.11 (Closes: #997274)
  * Refresh patches
  * Adjust packaging to new upstream source layout

  [ Andreas Henriksson ]
  * New upstream release 6.1
  * Bump year of strace copyright
  * Drop d/p/0006-s390-Check-infmname-with-IS_ARRAY_ZERO-too.patch
  * Use dh_autoreconf instead of ./bootstrap
  * Make tests non-fatal on mips{,64}el

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Jan 2023 17:18:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 
 CFLAGS += -Wall -g
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -O0
+else
+  CFLAGS += -O2
+endif
+
 # ioctlsort is compiled with *_FOR_BUILD flags
 export CFLAGS_FOR_BUILD = $(CFLAGS)
 export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
@@ -19,7 +25,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-#extra_build_targets += build-udeb-stamp
+extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -35,10 +41,6 @@
   CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  CONFIG_OPTS += --disable-gcc-Werror
-endif
-
 all: build
 
 build: build-arch build-indep
@@ -47,18 +49,18 @@
 build-indep: build-stamp $(extra_build_targets)
 
 configure:
-	./bootstrap
+	dh_autoreconf
 
 %-stamp: %/Makefile
 	$(MAKE) -C $*
-
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(DEB_HOST_ARCH),arm64)
-	# kexec_file_load only implemented on kernel >= 5.0
-	sed -i -e'/kexec_file_load/ s/^#*/#/' tests/pure_executables.list
+	$*/src/strace -V
+ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el mipsel))
+	echo "WARNING: Making tests non-fatal because of known test failures on $(DEB_HOST_ARCH)."
+	$(MAKE) -C $* check VERBOSE=1 || true
+else
+	$(MAKE) -C $* check VERBOSE=1
 endif
-	$*/src/strace -V
-	$(MAKE) -C $* check VERBOSE=1
 endif
 	touch $@
 
@@ -78,9 +80,9 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build build-udeb build64 strace64.1 debian/strace64.substvars
-	sed -i -e'/kexec_file_load/ s/^#*//' tests/pure_executables.list
-	dh_clean
+	rm -rf build build-udeb build64 doc/strace64.1 debian/strace64.substvars
+	dh_autoreconf_clean
+	dh_clean configure
 
 binary: binary-indep binary-arch

## strace 6.2

=== debian/changelog ===
strace (6.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2012258)

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 20 Mar 2023 12:44:18 +0100

strace (6.1-0.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2008207).  Remaining changes:
    - Apply ptrace-error-verbosity.patch
    - SKIP sockopt-timestamp.gen.test
    - SKIP tests on m32 which use struct shm_info or struct msginfo
    - XFAIL stacktrace tests on armhf with arm64 kernel.
    - Fix FTBFS on armhf due to running tests on arm64 kernel
    Dropped changes:
    - also filter kexec_file_load out of the list of programs to run for other
      tests.
  * Separated the Ubuntu patches from the Debian ones in d/patches/series,
    added comments and re-ordered them logically
  * Truncate files larger than 50MB at the end of the build; these are test
    output which can be up to 41GB as sparse files but can induce FTBFS.

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 22 Feb 2023 17:17:06 +0100

strace (5.19-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1990964)
  * Update d/copyright to reflect upstream relicensing to LGPL >= 2.1 from
    2018 and its switch from sourceforge to github.
  * Drop merged patch 0006-s390-Check-infmname-with-IS_ARRAY_ZERO-too.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 21 Nov 2022 16:05:44 +0100

strace (5.16-0ubuntu4) kinetic; urgency=medium

  * Enable stack tracing with libunwind on any Ubuntu architecture.
  * XFAIL stacktrace tests on armhf with arm64 kernel.
  * Use dh_autoreconf instead of the gone bootstrap script.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 05 Jul 2022 11:40:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev [amd64], libiberty-dev [amd64], libbluetooth-dev
+Build-Depends: libc6-dev (>= 2.2.2) [!alpha !ia64], libc6.1-dev (>= 2.2.2) [alpha ia64], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc sparc64 x32], debhelper (>= 10.0.0), gawk, libunwind-dev, libiberty-dev, libbluetooth-dev
 Standards-Version: 4.1.3
 Homepage: https://strace.io
 Vcs-Git: https://salsa.debian.org/debian/strace.git

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 
 CFLAGS += -Wall -g
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
-
 # ioctlsort is compiled with *_FOR_BUILD flags
 export CFLAGS_FOR_BUILD = $(CFLAGS)
 export CPPFLAGS_FOR_BUILD = $(CPPFLAGS)
@@ -25,7 +19,7 @@
   MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-extra_build_targets += build-udeb-stamp
+#extra_build_targets += build-udeb-stamp
 
 arch64_map = i386=x86_64 powerpc=powerpc64 sparc=sparc64 s390=s390x
 ifneq (,$(filter $(DEB_HOST_ARCH)=%, $(arch64_map)))
@@ -41,6 +35,10 @@
   CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  CONFIG_OPTS += --disable-gcc-Werror
+endif
+
 all: build
 
 build: build-arch build-indep
@@ -53,6 +51,7 @@
 
 %-stamp: %/Makefile
 	$(MAKE) -C $*
+
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	$*/src/strace -V
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el mipsel))
@@ -91,6 +90,10 @@
 binary-arch: build
 	test -f build-stamp || make $(MFLAGS) -f debian/rules build
 
+	echo "Truncating to 128KB files larger than 50MB; these are typically sparse files of only zeroes but most are 41GB in size and add up to 3TB, which causes troubles down the road when sparse files are not handled efficiently."
+	find -type f -size +50M -exec ls -lh {} +
+	find -type f -size +50M -exec truncate --size=128KB {} +
+
 	# prepare 64bit executable and manpage, if it has been built
 	test -f build64-stamp && ( mv build64/src/strace build64/src/strace64 ; \
 		mv build64/doc/strace.1 build64/doc/strace64.1 ) || true

## strace 6.5

=== debian/changelog ===
strace (6.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 6.5. (Closes: #1052118)

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 07 Sep 2023 07:40:21 +0000

strace (6.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 6.4 (Closes: #1030587, #1042045)
  * Temporary enable testsuite non fatal on riscv64 due to known
    kernel issues.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 09 Aug 2023 15:57:38 +0000

## strace 6.6

=== debian/changelog ===
strace (6.6-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Dec 2023 10:20:02 +0100

strace (6.5-0.0ubuntu1) mantic; urgency=medium

  * New upstream version, fixing FTBFS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Sep 2023 13:46:55 +0200
